package com.clx.performance.struct;

import com.clx.open.sdk.request.action.MslSyncExceptionReportInfoAction;
import com.clx.open.sdk.request.action.SmbSyncExceptionReportInfoAction;
import com.clx.performance.model.OrderChildExceptionReport;
import com.msl.common.utils.DateStructUtil;
import com.msl.common.utils.DateUtils;
import org.mapstruct.Mapper;

@Mapper(componentModel = "spring", uses = DateStructUtil.class, imports = {DateUtils.class})
public interface OrderChildExceptionReportStruct {
    OrderChildExceptionReport convertInfoSmbAction(SmbSyncExceptionReportInfoAction action);

    OrderChildExceptionReport convertInfoMslAction(MslSyncExceptionReportInfoAction action);
}
